Bug 1157866 - Undefined symbol _XGetRequest in libXfixes
Summary: Undefined symbol _XGetRequest in libXfixes
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libXfixes
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Benjamin Tissoires
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 23:03 UTC by Tom Kelliher
Modified: 2014-12-01 21:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 21:04:18 UTC


Attachments (Terms of Use)

Description Tom Kelliher 2014-10-27 23:03:08 UTC
Description of problem:

The following fatal error is generated on our FreeNX server on Redhat 6.6 by running OpenNX client on a Mac:

/usr/lib/NX/nxagent: symbol lookup error: /usr/lib64/libXfixes.so.3: undefined symbol: _XGetRequest

Version-Release number of selected component (if applicable):

5.0.1-2.1.el6

How reproducible:

Try to connect to FreeNX server running on Redhat 6.6 using OpenNX client on a Mac

Actual results:

No Linux desktop on the Mac.  The above fatal error appears in FreeNX's log.

Expected results:

A Linux desktop on the Mac.

Additional info:

Downgrading to libXfixes 5.0-3.el6 is a workaround solution.

Comment 2 Jan Novak 2014-11-03 19:03:46 UTC
The same behavior exhibits library libXrender 2.1.el6 (i686 and x86_64 version). 

$ objdump -T /usr/lib/libXrender.so.1.3.0 | grep _XGetRequest
00000000      DF *UND*	00000000              _XGetRequest

Comment 3 Benjamin Tissoires 2014-11-03 20:54:53 UTC
libXrender and libXfixes requires libX11 to be loaded, and the system wide libX11 exports the symbol:
$ objdump -T /usr/lib64/libX11.so.6.3.0 | grep _XGetRequest
0000003d55243f00 g    DF .text	00000000000000a7  Base        _XGetRequest

This bug is a nx one, they supply their own libX11 which is lacking this symbol (now mandatory for nearly all of the libX*).

Comment 4 Benjamin Tissoires 2014-11-03 21:04:18 UTC
This bug should be assessed in FreeNX or OpenNX, not RHEL.

Closing it here as they have to fix it if they want to be able to run with newer Xorg server (not necessarily RHEL).

Comment 5 Stephen Quinney 2014-11-25 14:12:21 UTC
We have had the same problem. We discovered that there is a hacky workaround for this based on using the previous version (5.0-3.el6) of the libXfixes package:

cd /tmp
yumdownloader libXfixes-5.0-3.el6
rpmdev-extract libXfixes-5.0-3.el6.x86_64.rpm
cp /tmp/libXfixes-5.0-3.el6.x86_64/usr/lib64/libXfixes.so.3* /usr/lib64/nx

and then it started working again.


Stephen Quinney


Note You need to log in before you can comment on or make changes to this bug.